Bug 505272 - EOG crashes when attempting to view second image
EOG crashes when attempting to view second image
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 05:50 EDT by Michal Nowak
Modified: 2013-04-02 00:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-06 02:12:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
trace back (6.08 KB, text/plain)
2009-06-11 05:50 EDT, Michal Nowak
no flags Details
overview on the 1st img (903.40 KB, image/png)
2009-06-11 05:52 EDT, Michal Nowak
no flags Details
dmesg (31.43 KB, text/plain)
2009-06-13 20:44 EDT, Michal Nowak
no flags Details
Xorg.0.log (60.29 KB, text/plain)
2009-06-13 20:44 EDT, Michal Nowak
no flags Details

  None (edit)
Description Michal Nowak 2009-06-11 05:50:58 EDT
Created attachment 347362 [details]
trace back

Description of problem:

1. eog Pictures/zoo-lesna-20060822/zoo-lesna_41*
- the screen is completely destroyed, I can't see anything useful (see attached img for raw overview, reality's much worse). but this is not EOG's fault, I guess.
2. press <space> to go to second image
3. crash, see the trace back

When I turn on/off the `desktop-effects` it crashes on third, fourth img.

Version-Release number of selected component (if applicable):

eog-2.26.2-1.fc11.i586

How reproducible:

always

Actual results:

EOG crashing

Expected results:

EOG not crashing
Comment 1 Michal Nowak 2009-06-11 05:52:39 EDT
Created attachment 347364 [details]
overview on the 1st img
Comment 2 Matthias Clasen 2009-06-11 21:13:26 EDT
Intel graphics ?
Comment 3 Michal Nowak 2009-06-12 04:48:45 EDT
Yes. 855GM.
Comment 4 Matthias Clasen 2009-06-12 09:35:13 EDT
Intel driver bug then
Comment 5 Matěj Cepl 2009-06-12 20:13:09 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) from the session eog crashed to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 6 Michal Nowak 2009-06-13 20:44:05 EDT
Created attachment 347789 [details]
dmesg
Comment 7 Michal Nowak 2009-06-13 20:44:48 EDT
Created attachment 347790 [details]
Xorg.0.log
Comment 9 Matěj Cepl 2009-11-05 13:31:15 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 10 Michal Nowak 2009-11-06 02:12:54 EST
It's gone.

Note You need to log in before you can comment on or make changes to this bug.